import { $http } from "./config";
export default {
  // 货主登录
  staffLogin(data) {
    return $http("post", "user/cargo/login", data);
  },
  // 获取航次列表
  getVoyageList(data) {
    return $http("post", "voyage/list", data);
  },

  // 获取航次详情
  getVoyageDetail(data) {
    return $http("post", "/voyage/detail", data);
  },

  // 更新航次
  updateVoyage(data) {
    return $http("post", "/voyage/backstage/update", data);
  },

  // 完成航次
  finishVoyage(data) {
    return $http("post", "/voyage/backstage/finish", data);
  },

  // 添加航次
  addVoyage(data) {
    return $http("post", "voyage/backstage/add", data);
  },

  // 获取媒体列表
  getMediaList(data) {
    return $http("post", "/media/backstage/list", data);
  },
  // 导出excel
  exportExcel(data) {
    return $http("post", "/voyage/exportExcel", data);
  },

  // 获取卸货列表
  getDischargeList(data) {
    return $http("post", "/voyage/getDischargeList", data);
  },
};
